[viewBag]

[Ims\Shophelper\Components\ProductList ProductList]
sorting = "no"

[Pagination]
count_per_page = 12
pagination_limit = 8
active_class = "_act"
first_button_name = "First"
first_button_limit = 1
first-more_button_name = "..."
first-more_button_limit = 1
prev_button_name = "Prev"
prev_button_limit = 1
prev-more_button_name = "..."
prev-more_button_limit = 1
next-more_button_name = "..."
next-more_button_limit = 1
next_button_name = "Next"
next_button_limit = 1
last-more_button_name = "..."
last-more_button_limit = 1
last_button_name = "Last"
last_button_limit = 1

[localePicker]
forceUrl = 1

[CartHelper]
debug = 0
category_filters = 0
==
{% set data = get() %}

{% if pagination == 1 %}
	{# Get array with pagination buttons #}
	{% if data.page > 0 %}
		{% set iPage = data.page %}
	{% else %}
		{% set iPage = page %}
	{% endif %}

	{% set obProductCount = obProductList.count() %}

	{# Apply pagination to product collection and get array with product items #}
	{% set obProductList = obProductList.page(iPage, Pagination.getCountPerPage()) %}

{% else %}

	{% set iPage = Pagination.getPageFromRequest() %}

{% endif %}

<div class="row">

	{% for obProduct in obProductList %}
	{% set obOffer = obProduct.offer.first() %}
	{% if obOffer.price == 0 %}
	{% set obOffer = obProduct.offer.last() %}
	{% endif %}
	
	<div class="col-xl-4 col-lg-4 col-md-4 col-sm-6 col-12 mg-btm">
		<div class="ps-product">
			<div class="ps-product__thumbnail">
					<a class="ps-product__img" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}">
						<img src="{{ obProduct.preview_image.path|resize(323,{mode:'exact'}) }}" alt="" />
					</a>
					{% if obProduct.getObject().back_preview.path %}
						<a class="ps-product__img-alt" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}">
							<img src="{{ obProduct.getObject().back_preview.path|resize(323,{mode:'exact'}) }}" alt="" />
						</a>
					{% else %}
						<a class="ps-product__img-alt" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}">
							<img src="{{ obProduct.preview_image.path|resize(323,{mode:'exact'}) }}" alt="" />
						</a>
					{% endif %}
                </div>
                <div class="ps-product__content">
                    <div class="ps-product__meta">
                        <a href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}"></a>
                    </div>
                    <a class="ps-product__title prod-tit-mob ptitlecat-{{ obCategory.id }}" href="{{ activeLocale == 'it' ? '/it/prodotto' : '/en/product'}}/{{obProduct.slug}}">{{obProduct.name}}</a>
                    {% if obOffer.name|lower == 'soldout' %}
                    	<p class="ps-product__price"> SOLD OUT </p>
                	{% elseif obOffer.old_price_value > 0 %}
						<p class="ps-product__price sale"> <del>{{ obOffer.currency }} {{ obOffer.old_price|priceformat }}</del>{{ obOffer.currency }} {{obOffer.price|priceformat }}</p>
					{% elseif arCouponDiscount > 0 and obProduct.id in arCouponProducts %}
						<p class="ps-product__price"> <del>{{ obOffer.currency }} {{ obOffer.price|priceformat }}</del>{{ obOffer.currency }} {{ (obOffer.price-(obOffer.price * arCouponDiscount/100))|priceformat }}</p>
					{% else %}
						<p class="ps-product__price">{{ obOffer.currency }}{{obOffer.price|priceformat }}</p>
		            {% endif %}
                </div>
            </div>
        </div>
    {% endfor %}
</div>
<div>
	{% partial 'pagination' %}
</div>

<script>
	document.getElementById("number-results").innerHTML = "{{ obProductCount }} {{'Risultati'|_}}";
</script>